BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0

%define base_name       digester
%define short_name      commons-%{base_name}

Name:           jakarta-%{short_name}
Version:        1.7
Release:        alt3_6jpp1.7
Epoch:          0
Summary:        Jakarta Commons Digester Package
License:        Apache Software License
Group:          Development/Java
Source0:        http://www.apache.org/dist/jakarta/commons/digester/source/commons-digester-%{version}-src.tar.gz
URL:            http://jakarta.apache.org/commons/digester/
BuildRequires: ant
BuildRequires: jakarta-commons-beanutils >= 0:1.7
BuildRequires: jakarta-commons-logging >= 0:1.0
BuildRequires: jpackage-utils > 0:1.5
Requires: jakarta-commons-beanutils >= 0:1.7
Requires: jakarta-commons-logging >= 0:1.0
%if ! %{gcj_support}
BuildArch:      noarch
%endif
Provides:       %{short_name} = %{epoch}:%{version}-%{release}
Obsoletes:      %{short_name} < %{epoch}:%{version}-%{release}

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description
The goal of Digester project is to create and maintain a XML -> Java
object mapping package written in the Java language to be distributed
under the ASF license.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src

%build
cp LICENSE.txt ../LICENSE

export CLASSPATH=%(build-classpath commons-logging commons-beanutils junit)
ant dist

# Build rss -- needed by struts
export CLASSPATH=$CLASSPATH:`pwd`/dist/%{short_name}.jar
(cd src/examples/rss; ant dist)

rm ../LICENSE

%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{short_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
cp -p src/examples/rss/dist/%{short_name}-rss.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}-rss.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%post
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/*

%if %{gcj_support}
%{_libdir}/gcj/%{name}/jakarta-commons-digester-1.7-rss.jar.*
%{_libdir}/gcj/%{name}/jakarta-commons-digester-1.7.jar.*
%endif

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Sun Jul 29 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.7-alt3_6jpp1.7
- rebuilt with maven1

* Mon Apr 30 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.7-alt2_6jpp1.7
- converted from JPackage by jppimport script

* Fri Apr 27 2007 Igor Vlasenko <viy@altlinux.ru> 1.7-alt2
- added JPackage compatible stuff

* Tue Jun 14 2005 Vladimir Lettiev <crux@altlinux.ru> 1.7-alt1
- 1.7

* Tue Mar 22 2005 Vladimir Lettiev <crux@altlinux.ru> 1.7-alt0.1
- rpm-build-java macroces
- cvs 20050321

* Fri Sep 10 2004 Vladimir Lettiev <crux@altlinux.ru> 1.6-alt1
- 1.6
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.5-3jpp
- update for JPackage 1.5

* Thu May 08 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5-2jpp
- used correct JPP 1.5 spec file

* Thu May 08 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5-2jpp
- 1.5

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> - 1.4.1-2jpp
- for jpackage-utils 1.5

* Mon Mar  3 2003 Ville Skytt <ville.skytta at iki.fi> - 1.4.1-1jpp
- Update to 1.4.1.
- No macros in URL and SourceX tags.
- Run unit tests during build.
- Remove spurious api/ from installed javadoc path.
- Some spec file cleanup.

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.4-2jpp
- fix ASF license and add packager tag

* Fri Feb 14 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.4-1jpp
- 1.4

* Tue Aug 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-1jpp
- 1.3

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2-3jpp
- update to meet new jaxp_parser_impl and xml-commons-apis

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2-1jpp
- 1.2
- added short names in %_javadir, as does jakarta developpers
- first jPackage release
